Endpointsチャレンジ
チャレンジステータスを取得する
チャレンジの結果を返します。保護者の操作を待つ間にポーリングするエンドポイントです。 `/age-gate/check` が `CHALLENGE` を返した後に呼び出してください。`PASS` が返されたら、続いて `/session/get` を呼び出し、`ACTIVE` になったセッションとその権限を取得します。`FAIL` はチャレンジが確定し、これ以上進行しないことを意味します。
Authorization
api-key AuthorizationBearer <token>
In: header
Query Parameters
challengeId*string
チャレンジのID
Match
^[A-z0-9]{8}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{12}$Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/challenge/get-status?challengeId=ae6d4729-af32-42ea-8ef2-ff46c7664802"{ "status": "PASS", "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672", "approverEmail": "user@example.com"}{ "error": "NOT_FOUND", "errorMessage": "Challenge not found"}